Summary: The FOX GUI Toolkit
Name: fox14
Version: 1.4.34
Release: 1
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.fox-toolkit.org/pub/fox-%{version}.tar.gz
URL: http://www.fox-toolkit.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: Fernando Lopez-Lezcano, Lyle Johnson
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: libjpeg-devel, libpng-devel, libtiff-devel, bzip2-devel
%{?fc3:BuildRequires: XFree86-devel}
%{?fc4:BuildRequires: xorg-x11-Mesa-libGLU}
%{?fc5:BuildRequires: libX11-devel libXext-devel mesa-libGLU-devel}
 
%description
FOX is a C++-based library for graphical user interface development
FOX supports modern GUI features, such as drag-and-drop, tooltips, tab
books, tree lists, icons, multiple document interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics. Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package devel
Summary: Development files and documentation for the FOX GUI toolkit.
Group: Development/Libraries
Obsoletes: fox-static <= 1.0.46
Requires: fox = %{version}-%{release}

%description devel
The fox-devel package contains the files necessary to develop applications
using the FOX GUI toolkit: the header files, the reswrap resource compiler,
manual pages, and HTML documentation.

%package example-apps
Summary: FOX example applications
Group: User Interface/X

%description example-apps
The fox-example-apps package contains executables for several FOX-based
applications, including Adie, shutterbug, calculator and PathFinder.

%prep
%setup -q -n fox-%{version}

%build
%configure --with-opengl=opengl --enable-release

%install
%{__rm} -rf %{buildroot}

%{__make} install DESTDIR=%{buildroot}
%{__cp} -p pathfinder/PathFinder %{buildroot}%{_bindir}
%{__rm} -f doc/Makefile.am doc/Makefile.in doc/Makefile
%{__rm} -r doc/art/Makefile.am doc/art/Makefile.in doc/art/Makefile
%{__rm} -f doc/screenshots/Makefile.am doc/screenshots/Makefile.in doc/screenshots/Makefile

# remove html documentation installed in buildroot to keep rpm happy
%{__rm} -rf %{buildroot}%{_datadir}/doc/fox-*/html
%{__rm} -rf %{buildroot}%{_prefix}/fox

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc
%doc ADDITIONS AUTHORS INSTALL LICENSE README TRACING index.html
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/reswrap
%{_bindir}/fox-config
%{_includedir}/fox-*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%exclude %{_libdir}/lib*.la
%{_mandir}/*/*

%files example-apps
%defattr(-,root,root)
%{_bindir}/adie
%{_bindir}/shutterbug
%{_bindir}/PathFinder
%{_bindir}/calculator
%{_bindir}/Adie.stx

%changelog
* Mon Jul 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.34-1
- downgraded to 1.4.x, changed name of package to fox14
  (needed for rezound, it does not build with latest stable 1.6.x)

* Wed Apr  5 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.6.2-1
- updated to 1.6.2
- added fox-config and Atie.stx to file list

* Mon May 30 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- replaced obsolete Copyright: tag with License:

* Sun Dec 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- spec file cleanup

* Thu Dec  2 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.11-1
- updated to 1.2.11
- exclude la files

* Thu Aug 26 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.9-1
- updated to 1.2.9
- removed static package, fixed file lists

* Sun May  9 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added requires in -devel package

* Sat May  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added buildrequires
- install with DESTDIR, added man pages to the file list

* Thu Nov  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.46-1
- added dist tags
- added patch to include unistd.h

* Tue May 28 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- fine tune for planet ccrma, add standard macros for paths
- no man pages are installed, fix file list

* Wed Aug 27 2002 Lyle Johnson <lyle@users.sourceforge.net>
- remove Makefile scraps from the doc subdirectories

* Wed Aug 21 2002 Lyle Johnson <lyle@users.sourceforge.net>
- added the fox-devel and fox-static subpackages.

* Tue Oct 10 2000 David Sugar <dyfet@ostel.com> 0.99.132-3
- rtti forced for rpm build specs that use -fno-rtti.

* Fri Mar 24 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b> 0.99.122-1
- new version

* Fri Mar 24 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b> 0.99.119-1
- new version

* Sun Mar 05 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b>
- some adaptations

* Tue Nov 10 1998 Ren van Paassen <M.M.vanPaassen@lr.tudelft.nl>
- initial package
